GCUBELayoutTab (Custom Portal Handler 1.8.0-3.10.0 API)
Date: 2016-02-09

org.gcube.portal.custom.communitymanager.components

## Class GCUBELayoutTab

- java.lang.Object
- - org.gcube.portal.custom.communitymanager.components.GCUBELayoutTab

-     public class GCUBELayoutTab
      extends Object

  Version:
    1.1 Jan 5th 2012
  Author:
    Massimiliano Assante, massimiliano.assante@isti.cnr.it

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCUBELayoutTab(String caption, GCUBELayoutType type, GCUBEPortlet portlet)`
    `GCUBELayoutTab(String caption, GCUBELayoutType type, GCUBEPortlet portlet, boolean useFrame)`
    `GCUBELayoutTab(String caption, GCUBELayoutType type, List<GCUBEPortlet> portlets)`
    `GCUBELayoutTab(String caption, String description, GCUBELayoutType type, List<GCUBEPortlet> portlets)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSubTab(GCUBELayoutTab subtab)` method to add children tabs
    `String` | `getCaption()`
    `String` | `getDescription()`
    `String` | `getFriendlyURL()`
    `String` | `getLayoutTypeSettings()` create the layout with portlets in it 1_column - gives you a single column layout 2_columns_i - gives you two columns split 50/50 2_columns_ii - gives you two columns split 30/70 2_columns_iii - gives you two columns split 70/30 3_columns - gives you three columns 1_2_columns_i - gives you one top initial row, followed by 2 columns split 30/70 1_2_columns_ii - gives you one top initial row, followed by 2 columns split 70/30 1_2_1_columns - gives you one top initial row, followed by a row with 2 columns 50/50 split, followed by another row 2_2_columns - gives you one row with 2 columns 70/30 split followed by another row with 2 columns 30/70 split.
    `List<GCUBEPortlet>` | `getPortlets()`
    `ArrayList<GCUBELayoutTab>` | `getSubTabs()`
    `GCUBELayoutType` | `getType()`
    `boolean` | `hasChildren()`
    `boolean` | `isHidden()`
    `boolean` | `isUseBorder()`
    `void` | `setCaption(String caption)`
    `void` | `setDescription(String description)`
    `void` | `setFriendlyURL(String friendlyURL)`
    `void` | `setHidden(boolean hidden)`
    `void` | `setUseBorder(boolean useBorder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GCUBELayoutTab

          public GCUBELayoutTab(String caption,
                        GCUBELayoutType type,
                        List<GCUBEPortlet> portlets)

      Parameters:
        `caption` - the tab caption
        `type` - the type of the layout
        `portlets` - a list of GCUBEPortlet to place in the layout, list order is used as layout order

    - #### GCUBELayoutTab

          public GCUBELayoutTab(String caption,
                        String description,
                        GCUBELayoutType type,
                        List<GCUBEPortlet> portlets)

      Parameters:
        `caption` - the tab caption
        `description` - the tab description
        `type` - the type of the layout
        `portlets` - a list of GCUBEPortlet to place in the layout, list order is used as layout order

    - #### GCUBELayoutTab

          public GCUBELayoutTab(String caption,
                        GCUBELayoutType type,
                        GCUBEPortlet portlet)

      Parameters:
        `caption` - the tab caption
        `type` - the type of the layout
        `portlet` - a single GCUBEPortlet to place in the layout

    - #### GCUBELayoutTab

          public GCUBELayoutTab(String caption,
                        GCUBELayoutType type,
                        GCUBEPortlet portlet,
                        boolean useFrame)

      Parameters:
        `caption` - the tab caption
        `type` - the type of the layout
        `portlet` - a single GCUBEPortlet to place in the layout

  - ### Method Detail

    - #### addSubTab

          public void addSubTab(GCUBELayoutTab subtab)

      method to add children tabs
      Parameters:
        `subtab` -

    - #### hasChildren

          public boolean hasChildren()

    - #### getSubTabs

          public ArrayList<GCUBELayoutTab> getSubTabs()

      Returns:

    - #### getType

          public GCUBELayoutType getType()

      Returns:
        the type

    - #### getPortlets

          public List<GCUBEPortlet> getPortlets()

      Returns:
        the list of portlets

    - #### getCaption

          public String getCaption()

      Returns:
        .

    - #### setCaption

          public void setCaption(String caption)

      Parameters:
        `caption` - the caption to display

    - #### getDescription

          public String getDescription()

      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

      Parameters:
        `description` - desc

    - #### getFriendlyURL

          public String getFriendlyURL()

      Returns:
        the string representing the last part of the URL

    - #### setFriendlyURL

          public void setFriendlyURL(String friendlyURL)

      Parameters:
        `friendlyURL` - the last part of the URL after slash, autogenerated if not set

    - #### isHidden

          public boolean isHidden()

      Returns:
        .

    - #### setHidden

          public void setHidden(boolean hidden)

      Parameters:
        `hidden` - -

    - #### isUseBorder

          public boolean isUseBorder()

    - #### setUseBorder

          public void setUseBorder(boolean useBorder)

    - #### getLayoutTypeSettings

          public String getLayoutTypeSettings()

      create the layout with portlets in it 1_column - gives you a single column layout 2_columns_i - gives you two columns split 50/50 2_columns_ii - gives you two columns split 30/70 2_columns_iii - gives you two columns split 70/30 3_columns - gives you three columns 1_2_columns_i - gives you one top initial row, followed by 2 columns split 30/70 1_2_columns_ii - gives you one top initial row, followed by 2 columns split 70/30 1_2_1_columns - gives you one top initial row, followed by a row with 2 columns 50/50 split, followed by another row 2_2_columns - gives you one row with 2 columns 70/30 split followed by another row with 2 columns 30/70 split. * e.g. typeSettings = "layout-template-id=1_2_columns_i\n"; typeSettings += "column-1=73,\n"; typeSettings += "column-2=107,\n"; typeSettings += "column-3=8,";
      Returns:
        the TypeSettings layout for liferay

Copyright © 2016. All Rights Reserved.